﻿using System.CommandLine;
using MycroForge.CLI.Commands.Interfaces;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Migrations : Command, ISubCommandOf<MycroForge>
    {
        public Migrations(IEnumerable<ISubCommandOf<Migrations>> subCommands) :
            base("migrations", "Manage your migrations")
        {
            AddAlias("m");
            foreach (var subCommandOf in subCommands)
                AddCommand((subCommandOf as Command)!);
        }
    }
}